Name:           danny-release
Version:        20
Release:        1
Summary:        Danny Repository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://fedora.danny.cz/danny
Source1:        danny.repo
Source2:        danny-rawhide.repo
Source3:        danny.repo.devel
Source4:        danny-rawhide.repo.devel
Source10:       RPM-GPG-KEY-danny
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       system-release >= %{version}


%description
Danny repository contains open source and other distributable software for
Fedora.


%prep
# nothing to do

%build
# nothing to do

%install
install -d -m 755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg  \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

install -p -m 644 %{SOURCE10} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg

%if %{version} < 21
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/danny.repo
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/danny-rawhide.repo
%else
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/danny.repo
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/danny-rawhide.repo
%endif


%files
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*


%changelog
* Mon Apr 21 2014 Dan Horák <dan[at]danny.cz> - 20-1
- updated to Fedora 20

* Wed Jan 16 2013 Dan Horák <dan[at]danny.cz> - 19-0.1
- updated to Fedora 19 (Development)

* Wed Aug 15 2012 Dan Horák <dan[at]danny.cz> - 18-0.1
- updated to Fedora 18 (Development)

* Sun Nov 27 2011 Dan Horák <dan[at]danny.cz> - 17-0.1
- updated to Fedora 17 (Development)

* Wed Jun 08 2011 Dan Horák <dan[at]danny.cz> - 16-0.1
- updated to Fedora 16 (Development)

* Wed Aug 18 2010 Dan Horák <dan[at]danny.cz> - 15-0.1
- updated to Fedora 15 (Development)

* Wed May 26 2010 Dan Horák <dan[at]danny.cz> - 14-0.1
- updated to Fedora 14 (Development)

* Sun Dec 27 2009 Dan Horák <dan[at]danny.cz> - 13-0.1
- updated to Fedora 13 (Development)

* Sun Dec 27 2009 Dan Horák <dan[at]danny.cz> - 12-1
- updated to Fedora 12

* Sun Dec 27 2009 Dan Horák <dan[at]danny.cz> - 11-1
- initial version for Fedora 11
